tigase.server.amp

## Enum MsgRepository.MSG_TYPES

- java.lang.Object
- - java.lang.Enum<MsgRepository.MSG_TYPES>
  - - tigase.server.amp.MsgRepository.MSG_TYPES

- All Implemented Interfaces:
    Serializable, Comparable<MsgRepository.MSG_TYPES>
  Enclosing class:
    MsgRepository<T>

      public static enum MsgRepository.MSG_TYPES
      extends Enum<MsgRepository.MSG_TYPES>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `message`
    `none`
    `presence`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MsgRepository.MSG_TYPES` | `getFromInt(int type)`
    `int` | `getNumVal()`
    `static MsgRepository.MSG_TYPES` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MsgRepository.MSG_TYPES[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final MsgRepository.MSG_TYPES none

    - #### message

          public static final MsgRepository.MSG_TYPES message

    - #### presence

          public static final MsgRepository.MSG_TYPES presence

  - ### Method Detail

    - #### values

          public static MsgRepository.MSG_TYPES[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MsgRepository.MSG_TYPES c : MsgRepository.MSG_TYPES.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MsgRepository.MSG_TYPES valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getNumVal

          public int getNumVal()

    - #### getFromInt

          public static MsgRepository.MSG_TYPES getFromInt(int type)

Copyright © 2017 "Tigase, Inc.". All rights reserved.